[camel] branch master updated: [CAMEL-14561] Camel-Blueprint fails on JDK8 with NPE

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[camel] branch master updated: [CAMEL-14561] Camel-Blueprint fails on JDK8 with NPE

Guillaume Nodet-2
This is an automated email from the ASF dual-hosted git repository.

gnodet pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel.git


The following commit(s) were added to refs/heads/master by this push:
     new c4b356b  [CAMEL-14561] Camel-Blueprint fails on JDK8 with NPE
c4b356b is described below

commit c4b356b9577effb41a8feca5a0d04eea6a4eb591
Author: Guillaume Nodet <[hidden email]>
AuthorDate: Fri Feb 14 16:08:21 2020 +0100

    [CAMEL-14561] Camel-Blueprint fails on JDK8 with NPE
---
 core/camel-xml-jaxb/pom.xml                              | 7 +++++++
 platforms/karaf/features/src/main/resources/features.xml | 1 -
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/core/camel-xml-jaxb/pom.xml b/core/camel-xml-jaxb/pom.xml
index 7701d0f..2af2baa 100644
--- a/core/camel-xml-jaxb/pom.xml
+++ b/core/camel-xml-jaxb/pom.xml
@@ -31,6 +31,13 @@
     <name>Camel :: XML JAXB</name>
     <description>Camel XML JAXB</description>
 
+    <properties>
+        <camel.osgi.import>
+            javax.xml.bind.*;version="[2.2,3.0)",
+            *
+        </camel.osgi.import>
+    </properties>
+
     <dependencies>
 
         <!-- need JAXB API -->
diff --git a/platforms/karaf/features/src/main/resources/features.xml b/platforms/karaf/features/src/main/resources/features.xml
index 493f40e..f061a82 100644
--- a/platforms/karaf/features/src/main/resources/features.xml
+++ b/platforms/karaf/features/src/main/resources/features.xml
@@ -31,7 +31,6 @@
   <feature name='xml-specs-api' version='${servicemix-specs-version}' start-level='10'>
     <bundle dependency='true'>mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.activation-api-1.1/${servicemix-specs-version}</bundle>
     <bundle dependency='true'>mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.stax-api-1.0/${servicemix-specs-version}</bundle>
-    <bundle dependency="true">mvn:jakarta.xml.bind/jakarta.xml.bind-api/${jakarta-jaxb-version}</bundle>
     <bundle dependency="true">mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.jaxws-api-2.2/${servicemix-specs-version}</bundle>
     <bundle dependency="true">mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.jaxrs-api-2.1/${servicemix-specs-version}</bundle>
     <bundle>mvn:org.codehaus.woodstox/stax2-api/${stax2-api-bundle-version}</bundle>